ipaddress6 facts containing IPv4 addresses cause interface import failure
Bugzilla link:  Red Hat JIRA:  
Description

Attaching hosts to Foreman with a puppet run, RHEL 5 hosts only create eth0 interface in Foreman.

With RHEL 6 and 7 all interfaces are created in Foreman.

History

#1 - 11/09/2016 07:00 AM - Dominic Cleal

- Category set to Importers

- Status changed from New to Need more information

Can you provide the full facts output please? (facter --json or similar). Ensure the interface information is actually present.

#2 - 11/09/2016 10:45 AM - Alexandre Barth

'puppet facts' command output :

{

  "name": "foo.mydomain.com",

  "values": {

    "aio_agent_version": "1.8.0",

    "architecture": "x86_64",

    "augeas": {

      "version": "1.4.0" 

    },

    "augeasprovider_grub_version": 1,

    "augeasversion": "1.4.0",

    "bios_release_date": "09/21/2015",

    "bios_vendor": "Phoenix Technologies LTD",

    "bios_version": "6.00",

    "blockdevice_sda_model": "Virtual disk",

    "blockdevice_sda_size": 214748364800,

    "blockdevice_sda_vendor": "VMware",

    "blockdevices": "sda",

    "boardassettag": "Not Specified",

    "boardmanufacturer": "Intel Corporation",

    "boardproductname": "440BX Desktop Reference Platform",

    "boardserialnumber": "None",

    "chassisassettag": "No Asset Tag",

    "chassistype": "Other",

    "disks": {

      "sda": {

        "model": "Virtual disk",

        "size": "200.00 GiB",

        "size_bytes": 214748364800,

        "vendor": "VMware" 

      }

    },

    "dmi": {

      "bios": {

        "release_date": "09/21/2015",

        "vendor": "Phoenix Technologies LTD",
        "version": "6.00" 

      },

      "board": {

        "asset_tag": "Not Specified",

        "manufacturer": "Intel Corporation",

        "product": "440BX Desktop Reference Platform",

        "serial_number": "None" 

      },

      "chassis": {

        "asset_tag": "No Asset Tag",

        "type": "Other" 

      },

      "manufacturer": "VMware, Inc.",

      "product": {

        "name": "VMware Virtual Platform",

        "serial_number": "VMware-42 1d 5d 17 d2 0d cb 0c-4d b5 9f ee 73 54 01 4a",

        "uuid": "421D5D17-D20D-CB0C-4DB5-9FEE7354014A" 

      }

    },

    "domain": "mydomain.com",

    "endofbuild": true,

    "facterversion": "3.5.0",

    "filesystems": "ext2,ext3,ext4,ext4dev,iso9660",

    "foreman_environment": "production",

    "foreman_hostgroup": "Labs",

    "foreman_managed": "true",

    "foreman_organization": "Bruz",

    "fqdn": "foo.mydomain.com",

    "gid": "root",

    "hardwareisa": "x86_64",

    "hardwaremodel": "x86_64",

    "hostname": "foo",

    "id": "root",

    "identity": {

      "gid": 0,

      "group": "root",

      "privileged": true,

      "uid": 0,

      "user": "root" 

    },

    "interfaces": "eth0,eth1,eth2,lo",

    "interfaces_array": [

      "eth0",

      "eth1",

      "eth2",

      "lo" 

    ],

    "ipaddress": "192.168.1.1",

    "ipaddress6": "192.168.1.1",

    "ipaddress6_eth0": "192.168.1.1",

    "ipaddress6_eth1": "192.168.2.1",

    "ipaddress6_eth2": "192.168.3.1",

    "ipaddress_eth0": "192.168.1.1",

    "ipaddress_eth1": "192.168.2.1",

    "ipaddress_eth2": "192.168.3.1",

    "ipaddress_lo": "127.0.0.1",

    "is_pe": false,

    "is_virtual": true,

    "kernel": "Linux",

    "kernelmajversion": "2.6",

    "kernelrelease": "2.6.18-412.el5",

    "kernelversion": "2.6.18",

    "keytab_exist": true,

    "keytab_http_exist": false,

    "load_averages": {

      "15m": 0.01,

      "1m": 0.09,

      "5m": 0.04

    },

    "macaddress": "00:50:56:9d:9d:2b",

    "macaddress_eth0": "00:50:56:9d:9d:2b",

    "macaddress_eth1": "00:50:56:9d:8e:0d",

    "macaddress_eth2": "00:50:56:9d:d0:13",

    "manufacturer": "VMware, Inc.",

    "memory": {
      "swap": {

        "available": "1.95 GiB",

        "available_bytes": 2097422336,

        "capacity": "0.00%",

        "total": "1.95 GiB",

        "total_bytes": 2097434624,

        "used": "12.00 KiB",

        "used_bytes": 12288

      },

      "system": {

        "available": "6.55 GiB",

        "available_bytes": 7037546496,

        "capacity": "15.88%",

        "total": "7.79 GiB",

        "total_bytes": 8366264320,

        "used": "1.24 GiB",

        "used_bytes": 1328717824

      }

    },

    "memoryfree": "6.55 GiB",

    "memoryfree_mb": 6711.52734375,

    "memorysize": "7.79 GiB",

    "memorysize_mb": 7978.69140625,

    "mountpoints": {

      "/": {

        "available": "4.07 GiB",

        "available_bytes": 4369907712,

        "capacity": "10.94%",

        "device": "/dev/mapper/rootvg-root",

        "filesystem": "ext4",

        "options": [

          "rw" 

        ],

        "size": "4.57 GiB",

        "size_bytes": 4906950656,

        "used": "512.16 MiB",

        "used_bytes": 537042944

      },

      "/boot": {

        "available": "163.05 MiB",

        "available_bytes": 170966016,

        "capacity": "14.13%",

        "device": "/dev/sda1",

        "filesystem": "ext3",

        "options": [

          "rw" 

        ],

        "size": "189.88 MiB",

        "size_bytes": 199108608,

        "used": "26.84 MiB",

        "used_bytes": 28142592

      },

      "/dev/shm": {

        "available": "3.90 GiB",

        "available_bytes": 4183130112,

        "capacity": "0%",

        "device": "tmpfs",

        "filesystem": "tmpfs",

        "options": [

          "rw" 

        ],

        "size": "3.90 GiB",

        "size_bytes": 4183130112,

        "used": "0 bytes",

        "used_bytes": 0

      },

      "/home": {

        "available": "469.27 MiB",

        "available_bytes": 492060672,

        "capacity": "49.54%",

        "device": "/dev/mapper/rootvg-home",

        "filesystem": "ext4",

        "options": [

          "rw" 

        ],

05/20/2024 3/14



        "size": "929.90 MiB",

        "size_bytes": 975069184,

        "used": "460.63 MiB",

        "used_bytes": 483008512

      },

      "/opt": {

        "available": "115.18 GiB",

        "available_bytes": 123668484096,

        "capacity": "10.13%",

        "device": "/dev/mapper/rootvg-opt",

        "filesystem": "ext4",

        "options": [

          "rw" 

        ],

        "size": "128.16 GiB",

        "size_bytes": 137613926400,

        "used": "12.99 GiB",

        "used_bytes": 13945442304

      },

      "/tmp": {

        "available": "912.25 MiB",

        "available_bytes": 956563456,

        "capacity": "1.90%",

        "device": "/dev/mapper/rootvg-tmp",

        "filesystem": "ext4",

        "options": [

          "rw" 

        ],

        "size": "929.90 MiB",

        "size_bytes": 975069184,

        "used": "17.65 MiB",

        "used_bytes": 18505728

      },

      "/usr": {

        "available": "3.46 GiB",

        "available_bytes": 3714547712,

        "capacity": "24.30%",

        "device": "/dev/mapper/rootvg-usr",

        "filesystem": "ext4",

        "options": [

          "rw" 

        ],

        "size": "4.57 GiB",

        "size_bytes": 4906950656,

        "used": "1.11 GiB",

        "used_bytes": 1192402944

      },

      "/var": {

        "available": "3.27 GiB",

        "available_bytes": 3508670464,

        "capacity": "28.50%",

        "device": "/dev/mapper/rootvg-var",

        "filesystem": "ext4",

        "options": [

          "rw" 

        ],

        "size": "4.57 GiB",

        "size_bytes": 4906950656,

        "used": "1.30 GiB",

        "used_bytes": 1398280192

      }

    },

    "mtu_eth0": 1500,

    "mtu_eth1": 1500,

    "mtu_eth2": 1500,

    "mtu_lo": 16436,

    "netmask": "255.255.255.0",

    "netmask_eth0": "255.255.255.0",

    "netmask_eth1": "255.255.255.0",

    "netmask_eth2": "255.255.255.0",

    "netmask_lo": "255.0.0.0",

    "network": "192.168.1.0",

    "network_eth0": "192.168.1.0",

    "network_eth1": "192.168.2.0",

    "network_eth2": "192.168.3.0",
    "network_lo": "127.0.0.0",

    "networking": {

      "domain": "mydomain.com",

      "fqdn": "foo.mydomain.com",

      "hostname": "foo",

      "interfaces": {

        "eth0": {

          "bindings": [

            {

              "address": "192.168.1.1",

              "netmask": "255.255.255.0",

              "network": "192.168.1.0" 

            }

          ],

          "bindings6": [

            {

              "address": "192.168.1.1" 

            }

          ],

          "ip": "192.168.1.1",

          "ip6": "192.168.1.1",

          "mac": "00:50:56:9d:9d:2b",

          "mtu": 1500,

          "netmask": "255.255.255.0",

          "network": "192.168.1.0" 

        },

        "eth1": {

          "bindings": [

            {

              "address": "192.168.2.1",

              "netmask": "255.255.255.0",

              "network": "192.168.2.0" 

            }

          ],

          "bindings6": [

            {

              "address": "192.168.2.1" 

            }

          ],

          "ip": "192.168.2.1",

          "ip6": "192.168.2.1",

          "mac": "00:50:56:9d:8e:0d",

          "mtu": 1500,

          "netmask": "255.255.255.0",

          "network": "192.168.2.0" 

        },

        "eth2": {

          "bindings": [

            {

              "address": "192.168.3.1",

              "netmask": "255.255.255.0",

              "network": "192.168.3.0" 

            }

          ],

          "bindings6": [

            {

              "address": "192.168.3.1" 

            }

          ],

          "ip": "192.168.3.1",

          "ip6": "192.168.3.1",

          "mac": "00:50:56:9d:d0:13",

          "mtu": 1500,

          "netmask": "255.255.255.0",

          "network": "192.168.3.0" 

        },

        "lo": {

          "bindings": [

            {

              "address": "127.0.0.1",

              "netmask": "255.0.0.0",

              "network": "127.0.0.0" 

            }

          ],

          "ip": "127.0.0.1",
          "mtu": 16436,

          "netmask": "255.0.0.0",

          "network": "127.0.0.0" 

        }

      },

      "ip": "192.168.1.1",

      "ip6": "192.168.1.1",

      "mac": "00:50:56:9d:9d:2b",

      "mtu": 1500,

      "netmask": "255.255.255.0",

      "network": "192.168.1.0",

      "primary": "eth0" 

    },

    "operatingsystem": "RedHat",

    "operatingsystemmajrelease": "5",

    "operatingsystemrelease": "5.11",

    "os": {

      "architecture": "x86_64",

      "family": "RedHat",

      "hardware": "x86_64",

      "name": "RedHat",

      "release": {

        "full": "5.11",

        "major": "5",

        "minor": "11" 

      },

      "selinux": {

        "current_mode": "permissive",

        "enabled": true,

        "enforced": false,

        "policy_version": "21" 

      }

    },

    "osfamily": "RedHat",

    "package_provider": "yum",

    "partitions": {

      "/dev/sda1": {

        "filesystem": "ext3",

        "label": "/boot",

        "mount": "/boot",

        "size": "196.08 MiB",

        "size_bytes": 205599744,

        "uuid": "9178b9f8-4954-4639-b56f-e82810d73710" 

      },

      "/dev/sda2": {

        "filesystem": "swap",

        "label": "SWAP-sda2",

        "size": "1.95 GiB",

        "size_bytes": 2097446400

      },

      "/dev/sda3": {

        "size": "197.85 GiB",

        "size_bytes": 212442531840

      }

    },

    "path": "/opt/instantclient/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:

/bin:/usr/sbin:/usr/bin:/opt/puppetlabs/bin:/root/bin",

    "physicalprocessorcount": 2,

    "processor0": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz",

    "processor1": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz",

    "processorcount": 2,

    "processors": {

      "count": 2,

      "isa": "x86_64",

      "models": [

        "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz",

        "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz" 

      ],

      "physicalcount": 2

    },

    "productname": "VMware Virtual Platform",

    "puppet_environmentpath": "/etc/puppetlabs/code/environments",

    "puppet_vardir": "/opt/puppetlabs/puppet/cache",

    "puppetversion": "4.8.0",

    "root_home": "/root",
    "ruby": {

      "platform": "x86_64-linux",

      "sitedir": "/opt/puppetlabs/puppet/lib/ruby/site_ruby/2.1.0",

      "version": "2.1.9" 

    },

    "rubyplatform": "x86_64-linux",

    "rubysitedir": "/opt/puppetlabs/puppet/lib/ruby/site_ruby/2.1.0",

    "rubyversion": "2.1.9",

    "selinux": true,

    "selinux_current_mode": "permissive",

    "selinux_enforced": false,

    "selinux_policyversion": "21",

    "serialnumber": "VMware-42 1d 5d 17 d2 0d cb 0c-4d b5 9f ee 73 54 01 4a",

    "service_provider": "redhat",

    "ssh": {

      "dsa": {

        "fingerprints": {

          "sha1": "SSHFP 2 1 0f43ef93e328aaafea26c1fb9b5672eebcfaeb70",

          "sha256": "SSHFP 2 2 b773fc1ad37b90df58b170f5f64cb0b186f5dc77cf7bb5880f8c2709dd6fb6bc" 

        },

        "key": "AAAAB3NzaC1kc3MAAACBAM260K3vM9EGIWYQEpzLRtuE6kovzfuLdqTww7HbAkSaR3KQpeqXOvMPQQSoCAJkEGZnfY014v

6+Nq9uPZ14+v/z5lfJvjzMQSx9gIthEd0uk9Dv34TQw0e41ZwiYOtmzEeaPoGTEGx8SBuIAKU5ZGcywVow/GsPP5dbbZ4g5/rFAAAAFQDdV8LF

goQ8Slvp1ucXT+3leVUxawAAAIAyy8LV453vw+QOekbuHE262xjUsUzl2l/FFHd3MyEn2ZdLC4+dR9bGEx+VeILytSN/AeRPWIX3SVosQan6JN

lJTwwO5GiCMW2h7cr16T2rFMHLss4iOsu1R2WSReM7jl6SeEFgINFtROcU1KcMLa8v42fo2fjMKW7aDMH51INphwAAAIBPMesXDzLL/EcW/Wxx

AWklN9K4tmf4W92eyDeGYCfj8RAFs8QenzIPb8YZBb3L0J2hvAMlIyZaS006/zwmmh5CCCiDiLH+kQdibNzS+sr5YUVKlPtzcFDHOqZX5AcOSk

6GSDMZMy+eg6T4jKRW1hfuY3ds2/udxcao4KQ9rosyhQ==" 

      },

      "rsa": {

        "fingerprints": {

          "sha1": "SSHFP 1 1 bfaf099157c260342b9a3634e15f1d225e533c1a",

          "sha256": "SSHFP 1 2 3423b84cb704305c579ca537131bb02ab5413e226b3fa4ae02b8c9bc5efdd149" 

        },

        "key": "AAAAB3NzaC1yc2EAAAABIwAAAQEA06hjm1Y3PL4fHOIKS41uUa7eaFUYjSQgsEPkA7roslOgDTU4CDPud3600YgcsRyReb

ywgNdhepOu5okR92bNLnIvQVIZi7qR366Mp4Evo3pT1YWVkF+vF9Kc8ts8Djek/OprTTDc/tmTpr+uPElHVgKNs28lHcjRLPeQonYdlI4VX9To

tcfp5OtTQerKXCWBoriHa1yS3dj/rdayhZXTs8vl1I4QSZs522ExLZlFz4wZvIMnqx18O9Z+P/fNB0rj10SaYL9z52+X1HkCrflZ1j7SzjCl/p

ogY8M93uH7XiLM/3s4638D2snwJv79ipnsPzRj2BYDCYFsAO2V9njhAQ==" 

      }

    },

    "sshdsakey": "AAAAB3NzaC1kc3MAAACBAM260K3vM9EGIWYQEpzLRtuE6kovzfuLdqTww7HbAkSaR3KQpeqXOvMPQQSoCAJkEGZnfY01

4v6+Nq9uPZ14+v/z5lfJvjzMQSx9gIthEd0uk9Dv34TQw0e41ZwiYOtmzEeaPoGTEGx8SBuIAKU5ZGcywVow/GsPP5dbbZ4g5/rFAAAAFQDdV8

LFgoQ8Slvp1ucXT+3leVUxawAAAIAyy8LV453vw+QOekbuHE262xjUsUzl2l/FFHd3MyEn2ZdLC4+dR9bGEx+VeILytSN/AeRPWIX3SVosQan6

JNlJTwwO5GiCMW2h7cr16T2rFMHLss4iOsu1R2WSReM7jl6SeEFgINFtROcU1KcMLa8v42fo2fjMKW7aDMH51INphwAAAIBPMesXDzLL/EcW/W

xxAWklN9K4tmf4W92eyDeGYCfj8RAFs8QenzIPb8YZBb3L0J2hvAMlIyZaS006/zwmmh5CCCiDiLH+kQdibNzS+sr5YUVKlPtzcFDHOqZX5AcO

Sk6GSDMZMy+eg6T4jKRW1hfuY3ds2/udxcao4KQ9rosyhQ==",

    "sshfp_dsa": "SSHFP 2 1 0f43ef93e328aaafea26c1fb9b5672eebcfaeb70\nSSHFP 2 2 b773fc1ad37b90df58b170f5f64cb0

b186f5dc77cf7bb5880f8c2709dd6fb6bc",

    "sshfp_rsa": "SSHFP 1 1 bfaf099157c260342b9a3634e15f1d225e533c1a\nSSHFP 1 2 3423b84cb704305c579ca537131bb0

2ab5413e226b3fa4ae02b8c9bc5efdd149",

    "sshrsakey": "AAAAB3NzaC1yc2EAAAABIwAAAQEA06hjm1Y3PL4fHOIKS41uUa7eaFUYjSQgsEPkA7roslOgDTU4CDPud3600YgcsRyR

ebywgNdhepOu5okR92bNLnIvQVIZi7qR366Mp4Evo3pT1YWVkF+vF9Kc8ts8Djek/OprTTDc/tmTpr+uPElHVgKNs28lHcjRLPeQonYdlI4VX9

Totcfp5OtTQerKXCWBoriHa1yS3dj/rdayhZXTs8vl1I4QSZs522ExLZlFz4wZvIMnqx18O9Z+P/fNB0rj10SaYL9z52+X1HkCrflZ1j7SzjCl

/pogY8M93uH7XiLM/3s4638D2snwJv79ipnsPzRj2BYDCYFsAO2V9njhAQ==",

    "swapfree": "1.95 GiB",

    "swapfree_mb": 2000.2578125,

    "swapsize": "1.95 GiB",

    "swapsize_mb": 2000.26953125,

    "system_uptime": {

      "days": 56,

      "hours": 1345,

      "seconds": 4844330,

      "uptime": "56 days" 

    },

    "timezone": "CET",

    "uptime": "56 days",

    "uptime_days": 56,

    "uptime_hours": 1345,

    "uptime_seconds": 4844330,

    "uuid": "421D5D17-D20D-CB0C-4DB5-9FEE7354014A",

    "virtual": "vmware",

    "clientcert": "foo.mydomain.com",

    "clientversion": "4.8.0",

    "clientnoop": false

  },

  "timestamp": "2016-11-09T14:35:47.834657000+01:00",

  "expiration": "2016-11-09T15:05:47.835227000+01:00" 

05/20/2024 7/14



}

#3 - 11/09/2016 10:59 AM - Dominic Cleal

- Status changed from Need more information to New

Thanks, all of the values I'd expect appear to be present. Do you have debug logs from the fact upload? It normally goes into detail about which

interfaces it's importing.

(https://theforeman.org/manuals/1.13/index.html#7.2Debugging)

#4 - 11/10/2016 03:46 AM - Alexandre Barth

Here is the log when attaching the host to foreman with puppet run :

2016-11-09 17:46:44 1f8c9841 [app] [I] Started GET "/node/foo.mydomain.com?format=yml" for 192.168.1.100 at 20

16-11-09 17:46:44 +0100

2016-11-09 17:46:44 1f8c9841 [app] [I] Processing by HostsController#externalNodes as YML

2016-11-09 17:46:44 1f8c9841 [app] [I]   Parameters: {"name"=>"foo.mydomain.com"}

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: authorize_login_delegation

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: authorize_login_delegation

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: restrict_registered_smart_proxies

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache write: restrict_registered_smart_proxies

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: require_ssl_smart_proxies

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache write: require_ssl_smart_proxies

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache write: ssl_client_cert_env

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:44 1f8c9841 [app] [D] Examining client certificate to extract dn and sans

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:44 1f8c9841 [app] [D] Client sent certificate with subject 'foreman.mydomain.com' and subject

 alt names '["foreman.mydomain.com", "puppet", "puppet.mydomain.com"]'

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: ssl_client_verify_env

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache write: ssl_client_verify_env

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache read: trusted_puppetmaster_hosts

2016-11-09 17:46:44 1f8c9841 [app] [D] Cache write: trusted_puppetmaster_hosts

2016-11-09 17:46:44 1f8c9841 [app] [D] Verifying request from ["foreman.mydomain.com", "puppet", "puppet.mydom

ain.com"] against ["foreman.mydomain.com"]

2016-11-09 17:46:44 1f8c9841 [app] [D] Setting current user thread-local variable to foreman_api_admin

2016-11-09 17:46:44 1f8c9841 [app] [D] not found: ActiveRecord::RecordNotFound

2016-11-09 17:46:44 1f8c9841 [app] [I] Completed 404 Not Found in 25ms (ActiveRecord: 2.9ms)

2016-11-09 17:46:47 a27fc4f0 [app] [I] Started POST "/api/hosts/facts" for 192.168.1.100 at 2016-11-09 17:46:4

7 +0100

2016-11-09 17:46:47 a27fc4f0 [app] [I] Processing by Api::V2::HostsController#facts as JSON

2016-11-09 17:46:47 a27fc4f0 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"foo.mydomain.com", "cert

name"=>"foo.mydomain.com", "apiv"=>"v2", :host=>{"certname"=>"foo.mydomain.com", "name"=>"foo.mydomain.com"}}

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: restrict_registered_smart_proxies

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: require_ssl_smart_proxies

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:47 a27fc4f0 [app] [D] Examining client certificate to extract dn and sans

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:47 a27fc4f0 [app] [D] Client sent certificate with subject 'foreman.mydomain.com' and subject

 alt names '["foreman.mydomain.com", "puppet", "puppet.mydomain.com"]'

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: ssl_client_verify_env

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: trusted_puppetmaster_hosts

2016-11-09 17:46:47 a27fc4f0 [app] [D] Verifying request from ["foreman.mydomain.com", "puppet", "puppet.mydom

ain.com"] against ["foreman.mydomain.com"]

2016-11-09 17:46:47 a27fc4f0 [app] [D] Setting current user thread-local variable to foreman_api_admin

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache read: create_new_host_when_facts_are_uploaded

2016-11-09 17:46:47 a27fc4f0 [app] [D] Cache write: create_new_host_when_facts_are_uploaded

2016-11-09 17:46:47 a27fc4f0 [app] [D] Merging facts for 'foo.mydomain.com': deleted 0 facts

2016-11-09 17:46:48 a27fc4f0 [app] [D] Merging facts for 'foo.mydomain.com': added 355 facts

2016-11-09 17:46:48 a27fc4f0 [app] [D] No facts update required for foo.mydomain.com

2016-11-09 17:46:48 a27fc4f0 [app] [I] Import facts for 'foo.mydomain.com' completed. Added: 355, Updated: 0, 

Deleted 0 facts

2016-11-09 17:46:48 a27fc4f0 [app] [D] Cache read: root_pass

2016-11-09 17:46:48 a27fc4f0 [app] [D] Cache write: root_pass

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache read: organization_fact

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache write: organization_fact

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache read: ignore_puppet_facts_for_provisioning

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache write: ignore_puppet_facts_for_provisioning

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache read: ignored_interface_identifiers

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache write: ignored_interface_identifiers

2016-11-09 17:46:49 a27fc4f0 [app] [D] skipping interface with identifier 'lo' since it was matched by 'ignore
d_interface_identifiers' setting 

2016-11-09 17:46:49 a27fc4f0 [app] [D] We have following interfaces 'eth0, eth1, eth2' based on facts

2016-11-09 17:46:49 a27fc4f0 [app] [D] Interface eth0 facts: {"ipaddress6"=>"192.168.1.1", "ipaddress"=>"192.1

68.1.1", "macaddress"=>"00:50:56:9d:9d:2b", "mtu"=>1500, "netmask"=>"255.255.255.0", "network"=>"192.168.1.0"}

2016-11-09 17:46:49 a27fc4f0 [app] [D] Interface eth1 facts: {"ipaddress6"=>"192.168.2.1", "ipaddress"=>"192.1

68.2.1", "macaddress"=>"00:50:56:9d:8e:0d", "mtu"=>1500, "netmask"=>"255.255.255.0", "network"=>"192.168.2.0"}

2016-11-09 17:46:49 a27fc4f0 [app] [D] Interface eth2 facts: {"ipaddress6"=>"192.168.3.1", "ipaddress"=>"192.1

68.3.1", "macaddress"=>"00:50:56:9d:d0:13", "mtu"=>1500, "netmask"=>"255.255.255.0", "network"=>"192.168.3.0"}

2016-11-09 17:46:49 a27fc4f0 [app] [D] resolved foo.mydomain.com for 192.168.1.1, eth0 is selected as primary

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache read: update_environment_from_facts

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache write: update_environment_from_facts

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache read: default_puppet_environment

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache write: default_puppet_environment

2016-11-09 17:46:49 a27fc4f0 [app] [D] Cache read: default_puppet_environment

2016-11-09 17:46:49 a27fc4f0 [app] [D] Body: {"id":130,"name":"foo.mydomain.com","last_compile":null,"last_rep

ort":null,"updated_at":"2016-11-09T16:46:49.384Z","created_at":"2016-11-09T16:46:48.106Z","root_pass":"$5$jhDs

WSvQ$N22ctmeC3kebtqXZDJTPDwYugCdVvLAHfD2Etsr.N61","architecture_id":1,"operatingsystem_id":4,"environment_id":

1,"ptable_id":null,"medium_id":null,"build":false,"comment":null,"disk":null,"installed_at":null,"model_id":4,

"hostgroup_id":null,"owner_id":null,"owner_type":null,"enabled":true,"puppet_ca_proxy_id":1,"managed":false,"u

se_image":null,"image_file":"","uuid":null,"compute_resource_id":null,"puppet_proxy_id":1,"certname":"foo.mydo

main.com","image_id":null,"organization_id":1,"location_id":null,"otp":null,"realm_id":null,"compute_profile_i

d":null,"provision_method":"build","grub_pass":"","global_status":0,"lookup_value_matcher":"fqdn=foo.mydomain.

com","pxe_loader":null}

2016-11-09 17:46:49 a27fc4f0 [app] [I] Completed 201 Created in 1538ms (Views: 2.4ms | ActiveRecord: 270.7ms)

2016-11-09 17:46:49 cdba0bc6 [app] [I] Started GET "/node/foo.mydomain.com?format=yml" for 192.168.1.100 at 20

16-11-09 17:46:49 +0100

2016-11-09 17:46:49 cdba0bc6 [app] [I] Processing by HostsController#externalNodes as YML

2016-11-09 17:46:49 cdba0bc6 [app] [I]   Parameters: {"name"=>"foo.mydomain.com"}

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: authorize_login_delegation

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: authorize_login_delegation

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: restrict_registered_smart_proxies

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: require_ssl_smart_proxies

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:49 cdba0bc6 [app] [D] Examining client certificate to extract dn and sans

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:49 cdba0bc6 [app] [D] Client sent certificate with subject 'foreman.mydomain.com' and subject

 alt names '["foreman.mydomain.com", "puppet", "puppet.mydomain.com"]'

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: ssl_client_verify_env

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: trusted_puppetmaster_hosts

2016-11-09 17:46:49 cdba0bc6 [app] [D] Verifying request from ["foreman.mydomain.com", "puppet", "puppet.mydom

ain.com"] against ["foreman.mydomain.com"]

2016-11-09 17:46:49 cdba0bc6 [app] [D] Setting current user thread-local variable to foreman_api_admin

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: legacy_puppet_hostname

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache write: legacy_puppet_hostname

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: legacy_puppet_hostname

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: ignore_puppet_facts_for_provisioning

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: Enable_Smart_Variables_in_ENC

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache write: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache write: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters
2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: interpolate_erb_in_parameters

2016-11-09 17:46:49 cdba0bc6 [app] [D] Cache read: safemode_render

2016-11-09 17:46:49 cdba0bc6 [app] [W] Failed to generate external nodes for foo.mydomain.com

 | NoMethodError: undefined method `name' for nil:NilClass

 | (erb):1:in `parse_string'

 | /opt/rh/rh-ruby22/root/usr/share/ruby/erb.rb:863:in `eval'

 | /opt/rh/rh-ruby22/root/usr/share/ruby/erb.rb:863:in `result'

 | /usr/share/foreman/app/services/safe_render.rb:39:in `parse_string'

 | /usr/share/foreman/app/services/safe_render.rb:18:in `parse'

 | /usr/share/foreman/app/services/safe_render.rb:22:in `block in parse'

 | /usr/share/foreman/app/services/safe_render.rb:22:in `merge'

 | /usr/share/foreman/app/services/safe_render.rb:22:in `parse'

 | /usr/share/foreman/app/models/host/managed.rb:420:in `info'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:202:in `block in externalNodes'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/mime_responds.rb

:212:in `respond_to'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:200:in `externalNodes'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/implicit_render.

rb:4:in `send_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:198:in `proc

ess_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rendering.rb:10:

in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.rb:20:in `

block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in `c

all'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:555:in `b

lock (2 levels) in compile'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `b

lock (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `b

lock (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/ca

ching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `p

ublic_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `b

lock in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `b

lock in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `b

lock in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `b

lock (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `b

lock (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:14:in `set_timezone'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in `b

lock in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `b

lock in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `b

lock in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `b

lock (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `b

lock (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in `b

lock in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `b

lock in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `b

lock in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `b

lock (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `c

05/20/2024 11/14



all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `b

lock (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/ca

ching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `p

ublic_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `b

lock in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `b

lock in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `b

lock in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:92:in `__

run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in `_

run_process_action_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:81:in `ru

n_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.rb:19:in `

process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rescue.rb:29:in 

`process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrumentation.

rb:32:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications.rb:164:i

n `block in instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications/instrume

nter.rb:20:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications.rb:164:i

n `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrumentation.

rb:30:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/params_wrapper.r

b:250:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/controller_runt

ime.rb:18:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:137:in `proc

ess'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:196:in `dispa

tch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack_delegation.

rb:13:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:237:in `block

 in action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:74:

in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:74:

in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:43:

in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:43:in 

`block in serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:30:in 

`each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:30:in 

`serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:815

:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb:65:in `call

'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.rb:132:in `ca

ll'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_in_headers.r

b:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'

05/20/2024 12/14



 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:25:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/params_parser

.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/flash.rb:260:

in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `context'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/cookies.rb:56

0:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.rb:36:in `ca

ll'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abst

ract/connection_pool.rb:653:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/callbacks.rb:

29:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:88:in `__

run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in `_

run_call_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:81:in `ru

n_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/callbacks.rb:

27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/remote_ip.rb:

78:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/debug_excepti

ons.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/show_exceptio

ns.rb:30:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `call_app'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `call'

 | /usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/request_id.rb

:21:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/strategy/local_c

ache_middleware.rb:28:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116

:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `method_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

 | /usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_re

quest'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

 | /usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block 

in create_with_logging_context'

2016-11-09 17:46:49 cdba0bc6 [app] [I]   Rendered text template (0.0ms)

2016-11-09 17:46:49 cdba0bc6 [app] [I] Completed 412 Precondition Failed in 74ms (Views: 0.8ms | ActiveRecord:

 6.2ms)

2016-11-09 17:46:49 a83c256f [app] [I] Started POST "/api/config_reports" for 192.168.1.100 at 2016-11-09 17:4

6:49 +0100

2016-11-09 17:46:49 a83c256f [app] [I] Processing by Api::V2::ConfigReportsController#create as JSON

2016-11-09 17:46:49 a83c256f [app] [I]   Parameters: {"config_report"=>"[FILTERED]", "apiv"=>"v2"}

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: restrict_registered_smart_proxies

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: require_ssl_smart_proxies

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:49 a83c256f [app] [D] Examining client certificate to extract dn and sans

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: ssl_client_cert_env

2016-11-09 17:46:49 a83c256f [app] [D] Client sent certificate with subject 'foreman.mydomain.com' and subject

 alt names '["foreman.mydomain.com", "puppet", "puppet.mydomain.com"]'

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: ssl_client_verify_env

2016-11-09 17:46:49 a83c256f [app] [D] Cache read: trusted_puppetmaster_hosts
2016-11-09 17:46:49 a83c256f [app] [D] Verifying request from ["foreman.mydomain.com", "puppet", "puppet.mydom

ain.com"] against ["foreman.mydomain.com"]

2016-11-09 17:46:49 a83c256f [app] [D] Setting current user thread-local variable to foreman_api_admin

2016-11-09 17:46:49 a83c256f [app] [I] processing report for foo.mydomain.com

2016-11-09 17:46:49 a83c256f [app] [D] Report: {"host"=>"foo.mydomain.com", "reported_at"=>"2016-11-09 16:46:4

4 UTC", "status"=>{"applied"=>0, "restarted"=>0, "failed"=>3, "failed_restarts"=>0, "skipped"=>0, "pending"=>0

}, "metrics"=>{}, "logs"=>[{"log"=>{"sources"=>{"source"=>"Puppet"}, "messages"=>{"message"=>"Unable to fetch 

my node definition, but the agent run will continue:"}, "level"=>"warning"}}, {"log"=>{"sources"=>{"source"=>"

Puppet"}, "messages"=>{"message"=>"Find /puppet/v3/node/foo.mydomain.com?environment=production&configured_env

ironment=p... resulted in 404 with the message: {\"message\":\"Not Found: Could not find node foo.mydomain.com

\",\"issue_kind\":\"RESOURCE_NOT_FOUND\"}"}, "level"=>"warning"}}, {"log"=>{"sources"=>{"source"=>"Puppet"}, "

messages"=>{"message"=>"Retrieving pluginfacts"}, "level"=>"info"}}, {"log"=>{"sources"=>{"source"=>"Puppet"},

 "messages"=>{"message"=>"Retrieving plugin"}, "level"=>"info"}}, {"log"=>{"sources"=>{"source"=>"Puppet"}, "m

essages"=>{"message"=>"Loading facts"}, "level"=>"info"}}, {"log"=>{"sources"=>{"source"=>"Puppet"}, "messages

"=>{"message"=>"Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Could not fi

nd node 'foo.mydomain.com'; cannot compile"}, "level"=>"err"}}, {"log"=>{"sources"=>{"source"=>"Puppet"}, "mes

sages"=>{"message"=>"Not using cache on failed catalog"}, "level"=>"warning"}}, {"log"=>{"sources"=>{"source"=

>"Puppet"}, "messages"=>{"message"=>"Could not retrieve catalog; skipping run"}, "level"=>"err"}}]}

2016-11-09 17:46:49 a83c256f [app] [D] no owner or recipients for alert on foo.mydomain.com

2016-11-09 17:46:49 a83c256f [app] [I] Imported report for foo.mydomain.com in 0.11 seconds

2016-11-09 17:46:49 a83c256f [app] [I]   Rendered api/v2/config_reports/create.json.rabl (28.1ms)

2016-11-09 17:46:49 a83c256f [app] [D] Body: {"metrics":{},"created_at":"2016-11-09 16:46:49 UTC","updated_at"

:"2016-11-09 16:46:49 UTC","id":1497,"host_id":130,"host_name":"foo.mydomain.com","reported_at":"2016-11-09 16

:46:44 UTC","status":{"applied":0,"restarted":0,"failed":3,"failed_restarts":0,"skipped":0,"pending":0},"logs"

:[{"level":"warning","source":{"source":"Puppet"},"message":{"message":"Unable to fetch my node definition, bu

t the agent run will continue:"}},{"level":"warning","source":{"source":"Puppet"},"message":{"message":"Find /

puppet/v3/node/foo.mydomain.com?environment=production&configured_environment=p... resulted in 404 with the me

ssage: {\"message\":\"Not Found: Could not find node foo.mydomain.com\",\"issue_kind\":\"RESOURCE_NOT_FOUND\"}

"}},{"level":"info","source":{"source":"Puppet"},"message":{"message":"Retrieving pluginfacts"}},{"level":"inf

o","source":{"source":"Puppet"},"message":{"message":"Retrieving plugin"}},{"level":"info","source":{"source":

"Puppet"},"message":{"message":"Loading facts"}},{"level":"err","source":{"source":"Puppet"},"message":{"messa

ge":"Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Could not find node 'fo

o.mydomain.com'; cannot compile"}},{"level":"warning","source":{"source":"Puppet"},"message":{"message":"Not u

sing cache on failed catalog"}},{"level":"err","source":{"source":"Puppet"},"message":{"message":"Could not re

trieve catalog; skipping run"}}],"summary":"Failed"}

2016-11-09 17:46:49 a83c256f [app] [I] Completed 201 Created in 184ms (Views: 26.3ms | ActiveRecord: 37.6ms)

 Facts are correctly imported, i can see all facts related to the host in Foreman interface. In the NICs tab (on the host page), there is only eth0 interface

and ipaddress is missing (MAC address and FQDN are correctly reported)

#5 - 11/10/2016 04:00 AM - Dominic Cleal

I think it's failing because the ipaddress6 fields in the facts are actually reporting IPv4 addresses, and these aren't valid. They're very likely causing

the saving of the network interfaces to fail.

If you enable the 'sql' logger in settings.yaml then you'd probably see messages stating that Ip6 is invalid:

2016-11-10T08:57:50 678e564e [sql] [W] Saving enp0s31f6 NIC for host cobalt.example.com failed, skipping becau

se:

2016-11-10T08:57:50 678e564e [sql] [W]  Ip6 is invalid

 If you can confirm then I'll update the ticket details.

#6 - 11/10/2016 05:19 AM - Alexandre Barth

I confirm i can see the same messages in sql logs.

The weird thing is that i disable ipv6 in all my RHEL5/6/7 systems, and these facts related to ipv6 are only present in RHEL5 systems.

#7 - 11/10/2016 05:21 AM - Dominic Cleal

- Subject changed from RHEL 5 network interfaces not imported to ipaddress6 facts containing IPv4 addresses cause interface import failure

I'd suggest filing a bug against Facter (https://tickets.puppetlabs.com/browse/FACT), it ought to be fixed there too.

#8 - 11/10/2016 05:58 AM - Alexandre Barth

I've opened a ticket for Facter.

#9 - 11/22/2018 11:12 PM - Alexandre Barth

- Status changed from New to Resolved

This is fixed since puppet 5 agent.
